%define namedreltag .Final
%define namedversion %{version}%{?namedreltag}

Name:             jboss-jsf-2.1-api
Version:          2.0.0
Release:          2%{dist}
Summary:          JavaServer Faces 2.1 API
Group:            Development/Libraries
License:          LGPLv2+
URL:              http://www.jboss.org/

# git clone git://github.com/jboss/jboss-jsf-api_spec.git jboss-jsf-2.1-api
# cd jboss-jsf-2.1-api/ && git archive --format=tar --prefix=jboss-jsf-2.1-api-2.0.0.Final/ jboss-jsf-api_2.1_spec-2.0.0.Final | xz > jboss-jsf-2.1-api-2.0.0.Final.tar.xz
Source0:          jboss-jsf-2.1-api-%{namedversion}.tar.xz

BuildRequires:    java-devel
BuildRequires:    jboss-parent
BuildRequires:    jpackage-utils
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    jboss-el-2.2-api
BuildRequires:    jboss-jsp-2.2-api
BuildRequires:    jboss-jstl-1.2-api

Requires:         jpackage-utils
Requires:         jboss-jsp-2.2-api
Requires:         jboss-jstl-1.2-api
Requires:         jboss-el-2.2-api
Requires:         geronimo-validation
Requires:         java

BuildArch:        noarch

%description
JavaServer(tm) Faces API classes based on Version 2.1 of Specification.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Libraries
Requires:         jpackage-utils

%description javadoc	
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-jsf-2.1-api-%{namedversion}

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# JAR
install -pm 644 target/jboss-jsf-api_2.1_spec-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar -a "javax.faces:jsf-api"

# APIDOCS
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Fri Aug 12 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging

